using System.Collections.Generic;
using DiplomovaPrace.Contracts.Products.ViewModels;

namespace DiplomovaPrace.Web.Admin.Store.ProductUseCase
{
	public class ProductState
	{
		public bool IsLoading { get; set; }

		public List<ProductDto> Products { get; } = new();

		public ProductState(bool isLoading, List<ProductDto> products)
		{
			IsLoading = isLoading;
			Products = products;
		}
	}
}
